# Interface DependentSourceSet

All Superinterfaces:
  `Buildable, BuildableComponentSpec, ComponentSpec, LanguageSourceSet, ModelElement, Named`

All Known Subinterfaces:
  `JavaSourceSet`

@Incubating public interface DependentSourceSet extends LanguageSourceSet
A source set that can have dependencies on other Libraries.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`DependencySpecContainer`
`getDependencies()`

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface LanguageSourceSet

`generatedBy, getParentName, getSource`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

## Method Details

### getDependencies

DependencySpecContainer getDependencies()